# removeUser()

Removes (kicks) a user from the room. The target user's id is provided as a parameter.

```javascript
sambaFrame.removeUser('9efc7798-a1a4-44bd-9d8d-532fe0feea9d');
```

**Sample use case**: \
Have a custom participants panel in your integration and want moderators to be able to remove (kick) a misbehaving remote user by clicking a button.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digitalsamba.com/reference/sdk/methods/removeuser.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
